--
-- MonsoonTriton500
-- Specialization for MonsoonTriton500
--
-- @author Felix "Outlaw" Sorge
-- @date  27/04/09
-- @web www.ls-modsource.de - www.ls-mods.de
--
-- Copyright (C) Outlaw, All Rights Reserved.
--

MonsoonTriton500 = {};

function MonsoonTriton500.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;


function MonsoonTriton500:load(xmlFile)
	self.dischargeSpeed = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.dischargeSpeed#value"), 1);
end;


function MonsoonTriton500:keyEvent(unicode, sym, modifier, isDown)
end;


function MonsoonTriton500:update(dt)

	if self.attacherVehicle then
		if self.fillLevel == 0 or self.currentFillType == 0 then
			self:setIsTurnedOn(false)
	    elseif self.isTurnedOn and self.speedViolationTimer > 0 and self.fillLevel ~= 0 and self.currentFillType ~= 0 then
			local difficultyMultiplier = math.max(3 * (3 - g_currentMission.missionStats.difficulty), 1);
			local deltaLevel = FruitUtil.fruitIndexToDesc[self.currentFillType].literPerQm * difficultyMultiplier * self.dischargeSpeed;
			self:setFillLevel(self.fillLevel-deltaLevel, self.currentFillType);
		end; 
	end; 
	
end;


function MonsoonTriton500:draw()
end;


function MonsoonTriton500:onAttach()
end; 	


function MonsoonTriton500:onDetach()
end;


function MonsoonTriton500:delete()
end;


function MonsoonTriton500:mouseEvent(posX, posY, isDown, isUp, button)
end;